<template>
    <footer class="mt-5 mb-5 pt-3">
        <ul class="list-inline text-center">
            <li class="list-inline-item"><small><fa-icon icon="copyright" /> D'Amico FX</small></li>
            <li class="list-inline-item"><small><fa-icon :icon="['fab', 'facebook-square']" /></span> /damicoefectos</small></li>
            <li class="list-inline-item"><small><fa-icon :icon="['fab', 'instagram']" /> /damicofx</small></li>
            <li class="list-inline-item"><small><fa-icon icon="envelope" size="1x" /> {{ contactEmail }}</small></li>
        </ul>
    </footer>
</template>

<style lang="scss" scoped>
</style>

<script>
    import { library } from '@fortawesome/fontawesome-svg-core'
    import { faFacebookSquare, faInstagram } from '@fortawesome/free-brands-svg-icons'
    import { faCopyright, faEnvelope } from '@fortawesome/free-solid-svg-icons'
    import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'

    library.add([faFacebookSquare, faInstagram, faCopyright, faEnvelope])

    export default {
        props: {
            contactEmail: {
                type: String,
                required: true
            }
        },
        components: {
            'fa-icon': FontAwesomeIcon
        }
    }
</script>
